import express from 'express'
import { addStock, deleteStock, getAllStocks, getstock, updateStock } from '../controllers/stocktransactionController.js';
import { verifyToken } from '../middleware/authMiddleware.js';

const router = express.Router();

router.post('/insertStock', verifyToken, addStock);
router.get('/getStock/:id', verifyToken, getstock);
router.get('/getStocks', verifyToken, getAllStocks);
router.put('/updateStock/:id', verifyToken, updateStock);
router.delete('/deleteStock/:id', verifyToken, deleteStock);

export default router;